## org.eclipse.datatools.enablement.sybase.util
Class SQLUtil

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.util.SQLUtil

    public class SQLUtil

extends java.lang.Object

Author:
  Hui Cao

Constructor Summary
`SQLUtil()`

Method Summary
`static java.lang.String` `parseSearchStatement(java.lang.String statement)`
`static java.lang.String` `quote(java.lang.String content, java.lang.String quoteMark)` surround content with quoteMark and double every quoteMark inside content
`static java.lang.String` `unquote(java.lang.String quoted)` Removes the surrounding quotation mark (' or ") and restores 2 successive quotation marks to 1.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLUtil

    public SQLUtil()

Method Detail

### quote

    public static java.lang.String quote(java.lang.String content,
                                         java.lang.String quoteMark)

  surround content with quoteMark and double every quoteMark inside content

  Parameters:
    `content` -
    `quoteMark` -
  Returns:

### unquote

    public static java.lang.String unquote(java.lang.String quoted)

  Removes the surrounding quotation mark (' or ") and restores 2 successive quotation marks to 1.

  Parameters:
    `quoted` - quoted string
  Returns:
    unquoted string

### parseSearchStatement

    public static java.lang.String parseSearchStatement(java.lang.String statement)

  Parameters:
    `statement` -
  Returns:
    the expression of check constraint